io.undertow.client

## Interface PushCallback

    public interface PushCallback

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `handlePush(ClientExchange originalRequest, ClientExchange pushedRequest)` Handles a server push.

### Method Detail

#### handlePush

    boolean handlePush(ClientExchange originalRequest,
                       ClientExchange pushedRequest)

Handles a server push. If the push cannot be handled for some reason, this method should return false and the underlying

Parameters:
  `originalRequest` - The request that initiated the push
  `pushedRequest` - The pushed request
Returns:
  `false` if the server wants the push to be rejected